# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-mageia-compat
BuildRequires: /usr/bin/desktop-file-validate gcc-c++ zlib-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		yaflight
Version:	1.0.6
Release:	alt1_3
Summary:	Yet Another FlightGear Launch Control
License:	GPLv3
Group:		Games/Other
Url:		http://yaflight.grysol.com
Source:		https://github.com/xquiet/yaflight/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5WebKitWidgets)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	desktop-file-utils
BuildRequires:	ImageMagick-tools
BuildRequires:	libyalib-devel >= 1.8
BuildRequires:	cmake
ExclusiveArch:	x86_64

Requires:	FlightGear
Requires:	rsync
Requires:	yainstall
Source44: import.info



%description
A tiny, lightweight and simple launch control for FlightGear.
YaFlight is a graphical frontend to allow people to launch FlightGear
easily.

%prep
%setup -q

%build
%{mageia_cmake_qt5} -DDATADIR=%{_datadir}/%{name}
%mageia_cmake_build
# pushd languages
# lrelease *.ts
# popd

%install
%mageia_cmake_install

install -m 755 -D icons/%{name}-logo2013-128px.png %{buildroot}%_niconsdir/%{name}.png
install -m 755 -d %{buildroot}%{_datadir}/pixmaps
convert icons/%{name}-logo2013-256px.png %{buildroot}%{_datadir}/pixmaps/%{name}.xpm
install -m 755 -d %{buildroot}%{_datadir}/%{name}/languages
# install -m 755 -D languages/*.qm %%{buildroot}%%{_datadir}/%%{name}/languages/

mkdir -p %{buildroot}%{_datadir}/applications/
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=A gui to launch FlightGear easily
Comment[it]=Una interfaccia grafica per avviare FlightGear facilmente
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;Simulation;
EOF

desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

%files
%doc COPYING
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%_niconsdir/%{name}.*
%{_datadir}/pixmaps/%{name}.*


%changelog
* Sun Apr 10 2022 Cronbuild Service <cronbuild@altlinux.org> 1.0.6-alt1_3
- update by mgaimport

* Wed Oct 20 2021 Igor Vlasenko <viy@altlinux.org> 1.0.6-alt1_2
- update

* Mon Jul 06 2020 Igor Vlasenko <viy@altlinux.ru> 1.0.6-alt1_1
- update by mgaimport

* Tue Mar 10 2020 Igor Vlasenko <viy@altlinux.ru> 0.99.29-alt1_11
- update by mgaimport

* Wed Apr 10 2019 Igor Vlasenko <viy@altlinux.ru> 0.99.29-alt1_10
- update by mgaimport

* Thu Feb 21 2019 Igor Vlasenko <viy@altlinux.ru> 0.99.29-alt1_9
- mga update

* Sat Oct 27 2018 Igor Vlasenko <viy@altlinux.ru> 0.99.29-alt1_8
- update by mgaimport

* Mon Sep 17 2018 Igor Vlasenko <viy@altlinux.ru> 0.99.29-alt1_7
- update by mgaimport

* Sun Jun 12 2016 Igor Vlasenko <viy@altlinux.ru> 0.99.29-alt1_6
- converted for ALT Linux by srpmconvert tools

